Description

It would be exceptionally useful to have the ability to tie a specific kickstart file to an individual host group.

We deploy a variety of systems based on RHEL and CentOS, and have to have different kickstarts for each, for example for

additional repos required for Cobbler installations vs. RHEL installations.

This is also useful where we have 'dev' systems which have a much larger package set than 'prod' systems. Managing this sort of

thing through kickstart is significantly faster/easier than doing the same through Puppet. (cf. Puppet RFEs/bugs with the speed of the

Yum package provider).

(This RFE was raised after speaking with Ohad on IRC, let me know if you'd like any further details/justification)

Associated revisions

Revision cab0d8c6 - 11/29/2010 07:08 AM - Ohad Levy

Fixes #378 - Adds support for multiple configuration templates

Configuration templates (Kickstart, preseed, syslinux, gpxe etc) can now

be saved in the database directly.

Each template is associated with valid operating systems (unless if its a

snippet which can rendered via all other templates) and a possible

hostgroup / environment combinations.

This should allow maximum flexibility, while not mapping a host to

template directly (such behaviour is considered bad practice imho).

Additionally, each OS can define a default per kind (i.e. select a

kickstart as the default for the OS) as a fall-back when no specific

hostgroup / environment combination can be found.

If the fields are all non editable, make sure that your role has

templates actions selected.

You may access the templates via /unattended/<type> URL - for example:

/unattended/provision will return provisioning script (kickstart,

preseed) automaticilly based on the host in question.

Other urls:

/unattended/PXELinux

/unattended/gPXE

/unattended/finish

/unattended/script

History

#1 - 09/19/2010 03:12 PM - Ohad Levy

would you like the ks files to be as simple files (some where on the file system) or rather editable via the gui?

#2 - 09/19/2010 03:14 PM - Ohad Levy

- Target version set to 0.2
#3 - 10/03/2010 12:31 PM - Ohad Levy

ok, my thoughts on this one for now.

1. Each host group can be associated with a kickstart template

2. New templates can be added into the database, not the file system.

3. Each template needs to be associated with a os family (e.g. a template can work for both Fedora and RedHat)

4. The default kickstart view will be rendered only if no other kickstarts are associated with the system.

open questions

1. can individual hosts be associated with a kickstart template as well (e.g. from a drop down), imho its missing the whole point.. but ymmv.

2. how much of an editor do we need to put it (syntax highlight, ks validation etc)

3. how do we migrate from the existing setup to the new layout?

Best if we chat about this over irc?

#5 - 11/22/2010 02:27 PM - Ohad Levy

- Branch set to 378-multi-templates

updated work in progress patch at my github branch 378-multi-templates

#6 - 11/29/2010 07:22 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset cab0d8c6cfd26c44c12b8c95ffbc57e61e97f6d4.

#7 - 12/13/2010 04:41 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
